> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a group of products

> Get a list of changes to products objects. Returns 1000 (or fewer) changes, starting with the _least recent_ change. The list of returned changes is limited to the last seven days. This endpoint is designed to be polled periodically, allowing your integration to keep track of which objects have been updated so that you can get the details of those updated objects. After each request, the timestamp, changeType, and objectId of the most recently changed record (which will be the last record in the returned list of changes) should be stored by your integration, as you can use those values to get changes that occurred later, allowing you to pull only changes that occurred after your last polling request. All three values must be stored, as the combination of those values is what your integration needs to use to get changes that occurred after your last polling attempt. See the example for more details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-products-v1.json PUT /crm-objects/v1/objects/products/{id}
openapi: 3.0.0
info:
  title: CRM Products API v1
  version: 1.0.0
  description: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-introduction: >-
    Use the products API to create and manage your product library, which is the
    collection of goods and services that your company offers. Products in your
    product library can be used as line items when creating deals, payment
    links, invoices, and quotes.
  x-hubspot-api-use-case: >-
    To prepare for an upcoming product launch, use the products API to create a
    set of products to represent your new offerings. Sales reps can then use
    these products when creating payment links, invoices, and more.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/products/{id}:
    put:
      summary: Delete a group of products
      description: >-
        Get a list of changes to products objects. Returns 1000 (or fewer)
        changes, starting with the _least recent_ change. The list of returned
        changes is limited to the last seven days. This endpoint is designed to
        be polled periodically, allowing your integration to keep track of which
        objects have been updated so that you can get the details of those
        updated objects. After each request, the timestamp, changeType, and
        objectId of the most recently changed record (which will be the last
        record in the returned list of changes) should be stored by your
        integration, as you can use those values to get changes that occurred
        later, allowing you to pull only changes that occurred after your last
        polling request. All three values must be stored, as the combination of
        those values is what your integration needs to use to get changes that
        occurred after your last polling attempt. See the example for more
        details.
      operationId: putcrmobjectsv1objectsproductsid
      responses:
        '200':
          description: Successful response - Get a list of changes to products objects
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Delete a group of products - Example 1
                  value:
                    - name: name
                      value: An updated product
                    - name: description
                      value: This product has an updated description and price.
                    - name: price
                      value: '10.00'
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: price
                          value: '10.00'
                          timestamp: 1525287810508
                          source: API
                          sourceVid: []
                      value: '10.00'
                      timestamp: 1525287810508
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: An updated product
                          timestamp: 1525287810508
                          source: API
                          sourceVid: []
                      value: An updated product
                      timestamp: 1525287810508
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: This product has an updated description and price.
                          timestamp: 1525287810508
                          source: API
                          sourceVid: []
                      value: This product has an updated description and price.
                      timestamp: 1525287810508
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - crm.objects.products.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.products.write
        - private_apps_legacy: []
components: {}

````